Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 511760 (CVE-2014-3956) - <mail-mta/sendmail-8.14.9: Properly set the close-on-exec flag for file descriptors (CVE-2014-3956)
Summary: <mail-mta/sendmail-8.14.9: Properly set the close-on-exec flag for file descr...
Status: RESOLVED FIXED
Alias: CVE-2014-3956
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-29 07:51 UTC by Agostino Sarubbo
Modified: 2014-12-22 15:09 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-05-29 07:51:43 UTC
From ${URL} :

Upstream released version 8.14.9 of sendmail [1] which fixes one security related bug by properly closing 
file descriptors (except stdin, stdout, and stderr) before executing programs. This bug could enable local 
users to interfere with an open SMTP connection if they can execute their own program for mail delivery 
(e.g., via procmail or the prog mailer).

[1]: http://www.sendmail.com/sm/open_source/download/8.14.9/?show_rs=1


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Eray Aslan gentoo-dev 2014-05-30 15:18:16 UTC
+*sendmail-8.14.9 (30 May 2014)
+
+  30 May 2014; Eray Aslan <eras@gentoo.org> +sendmail-8.14.9.ebuild:
+  Security bump - bug #511760
+

Arches, please test and mark stable =mail-mta/sendmail-8.14.9.

Target keywords: "alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86"
Comment 2 Agostino Sarubbo gentoo-dev 2014-05-31 10:27:24 UTC
amd64 stable
Comment 3 Jeroen Roovers gentoo-dev 2014-06-02 12:28:48 UTC
Stable for HPPA.
Comment 4 Agostino Sarubbo gentoo-dev 2014-06-08 10:32:50 UTC
alpha stable
Comment 5 Agostino Sarubbo gentoo-dev 2014-06-08 10:35:46 UTC
arm stable
Comment 6 Agostino Sarubbo gentoo-dev 2014-06-08 10:42:10 UTC
ia64 stable
Comment 7 Agostino Sarubbo gentoo-dev 2014-06-08 10:45:46 UTC
ppc64 stable
Comment 8 Agostino Sarubbo gentoo-dev 2014-06-08 10:49:09 UTC
ppc stable
Comment 9 Agostino Sarubbo gentoo-dev 2014-06-08 10:51:44 UTC
sparc stable
Comment 10 Agostino Sarubbo gentoo-dev 2014-06-08 10:55:43 UTC
x86 stable.

Maintainer(s), please cleanup.
Security, please add it to the existing request, or file a new one.
Comment 11 Yury German Gentoo Infrastructure gentoo-dev Security 2014-06-10 01:42:20 UTC
Arches, Thank you for your work
Maintainer(s), please drop the vulnerable version.

New GLSA Request filed.
Comment 12 GLSAMaker/CVETool Bot gentoo-dev 2014-06-13 17:47:37 UTC
CVE-2014-3956 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-3956):
  The sm_close_on_exec function in conf.c in sendmail before 8.14.9 has
  arguments in the wrong order, and consequently skips setting expected
  FD_CLOEXEC flags, which allows local users to access unintended
  high-numbered file descriptors via a custom mail-delivery program.
Comment 13 Yury German Gentoo Infrastructure gentoo-dev Security 2014-06-13 17:53:22 UTC
Maintainer(s), Thank you for cleanup!
Comment 14 GLSAMaker/CVETool Bot gentoo-dev 2014-12-22 15:09:13 UTC
This issue was resolved and addressed in
 GLSA 201412-32 at http://security.gentoo.org/glsa/glsa-201412-32.xml
by GLSA coordinator Mikle Kolyada (Zlogene).